[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# BidiFlipAlignment

Gets the inverse alignment value when BiDiMode is enabled.

## Declaration

Source position: controls.pp line 2779

`function BidiFlipAlignment(`
`Alignment: TAlignment;`
`Flip: Boolean = True`
`):TAlignment;`

## Arguments

`Alignment` |  | TAlignment value converted in the method.
`Flip` |  | True to flip the alignment value when BiDiMode is enabled.

## Function result

TAlignment value adjusted for the BidiAlignment in Flip.

## Description

Applies to TAlignment value taLeftJustify and taRightJustify. taCenter is always taCenter regardless of BidiMode.